This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 155548 - Evince crashes when loading a pdf
Evince crashes when loading a pdf
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Marco Pesenti Gritti
http://www.wrq.com/assets/products_09...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-21 07:46 EDT by Oskari Saarenmaa
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 08:29:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gdb backtrace and valgrind output (5.52 KB, text/plain)
2005-04-21 07:47 EDT, Oskari Saarenmaa
no flags Details
Fix for the bug (449 bytes, patch)
2005-04-21 08:24 EDT, Oskari Saarenmaa
no flags Details | Diff

  None (edit)
Description Oskari Saarenmaa 2005-04-21 07:46:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050417 Fedora/1.0.3-2.os.1 Firefox/1.0.3

Description of problem:
Evince crashes when loading a certain PDF file.

Version-Release number of selected component (if applicable):
poppler-0.2.0-2

How reproducible:
Always

Steps to Reproduce:
1. wget http://www.wrq.com/assets/products_0955.pdf
2. evince products_0955.pdf
  

Actual Results:  sigsegv

Expected Results:  pdf loads properly

Additional info:
Comment 1 Oskari Saarenmaa 2005-04-21 07:47:32 EDT
Created attachment 113464 [details]
gdb backtrace and valgrind output
Comment 2 Oskari Saarenmaa 2005-04-21 08:24:56 EDT
Created attachment 113465 [details]
Fix for the bug

A patch that checks for an item array's existence before using it.
Comment 3 Marco Pesenti Gritti 2005-04-21 08:29:26 EDT
I think this is already fixed in poppler cvs. Closing as UPSTREAM, will be in
the next release, this week.
Comment 4 Oskari Saarenmaa 2005-04-21 08:39:42 EDT
I just tested with today's CVS snapshot of poppler, and the crasher is still there.
Comment 5 Marco Pesenti Gritti 2005-04-21 09:49:22 EDT
Thanks for checking. I was confused by a similar bug... I just submitted a patch
to the poppler list, I'll get a fix in the next release.

Note You need to log in before you can comment on or make changes to this bug.